/*  Orphy GTS acquisition library (liborphy)
 *  Copyright (c) Clment 'phneutre' Bourdarias
 *                   email: phneutre@users.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "orphy.h"

/*
==================
OGTS_Error
==================
*/
void OGTS_Error (char *error, ...)
{
  va_list		argptr;
  char		text[MAXPRINTMSG];
  
  va_start (argptr, error);
  vsnprintf (text, MAXPRINTMSG, error, argptr);
  va_end (argptr);
  
  fprintf(stderr, "ERROR: %s\n", text);
  
  exit (1);
}

/*
==================
OGTS_Printf
==================
*/
void OGTS_Printf (char *fmt, ...)
{
  va_list	argptr;
  char		text[MAXPRINTMSG];
  
  va_start (argptr,fmt);
  vsnprintf (text, MAXPRINTMSG, fmt, argptr);
  va_end (argptr);
  
  fprintf(stdout, "%s", text);
}

/*
==================
OGTS_GetVersion
==================
*/
char *OGTS_GetVersion(void)
{
  return OGTS_VERSION;
}
